io.c

276|*			Interrupt signal handling			*|
catch
suspend

560|*			Unix terminal capabilities			*|
add_terminfo_entries ()

930|*			TTY and terminal mode switcher			*|
raw_mode

1250|*			Terminal mode setup				*|
disable_modify_keys (dis)
setup_terminal ()
reset_terminal ()

1380|*			Escape code I/O routine				*|
putescape (s)

1414|*			Menu borders					*|
asciiblockchar (c)
#ifndef CURSES
vgablockchar (c)
#if defined(unix) || defined(vms)
acblockchar (c)
#endif
#endif
unicodeblockchar (c)

1677|*			Mouse mode control				*|
#if defined(unix) || defined(vms)
menu_mouse_mode (menu)
mouse_button_event_mode (report)
#endif

1770|*			Curses						*|

2180|*			Basic buffered screen output			*|
#ifndef CURSES

flush ()
__putchar (c)
putstring (str)
putblockchar (c)

#endif

2430|*			Screen control functions			*|
#ifndef CURSES

#if defined(unix) && ! defined(ANSI)
clear_screen ()
get_terminfo (TERMname)
#endif

#if defined(unix) || defined(vms)
disp_cursor (visible)
set_term_defaults (TERMname)
get_term_cap (TERMname)
start_screen_mode (kb)
#endif

#ifdef msdos
# ifdef conio
getwinsize ()
# endif
# ifdef __TURBOC__
getch ()
# endif
ring_bell ()
set_font_height (r)
# ifdef conio
clear_screen ()
# endif
#endif

#ifdef ANSI
clear_screen ()
# ifdef vms
get_term ()
getwinsize ()
# endif
# if defined(pc) && ! defined(unix)	/* ANSI on PC */
get_term ()
getwinsize ()
start_screen_mode (kb)
menu_mouse_mode (menu)
# endif
#endif

#ifdef msdos
set_screen_mode (m)
#else /* #ifdef msdos - else use ANSI driver: */
set_screen_mode (m)
...
#endif

#endif

4190|*			OS special					*|

#ifdef msdos
get_codepage ()
#endif

4240|*			OS input					*|

inputreadyafter
__readchar

4700|*			Enquire terminal properties			*|

#ifdef unix
getwinsize
get_term
#endif

#ifdef unix
getwinsize ()
get_term ()
#endif	/* #ifdef unix */
#ifdef msdos	/* and not __TURBOC__ ... ? */
#ifdef CURSES
get_term ()
getwinsize ()
menu_mouse_mode (menu)
#endif
#endif

4880|*			Screen attribute control			*|

rgb
#ifdef CURSES
#else
# ifdef conio
# else
# endif
#endif

6080|*			DOS mouse API					*|

